org.jCharts.chartData.interfaces

## Interface IStockChartDataSet

All Superinterfaces:
  IAxisPlotDataSet, IData, IDataSet, Serializable

All Known Implementing Classes:
  StockChartDataSet

    public interface IStockChartDataSet
    extends IAxisPlotDataSet

### Method Summary

Methods
`ChartType` `getChartType()` Returns the type of chart this data is to be plotted on
`double` `getCloseValue(int index)`
`double` `getHighValue(int index)`
`double` `getLowValue(int index)`
`double` `getOpenValue(int index)`
`boolean` `hasCloseValues()`
`boolean` `hasOpenValues()`

### Methods inherited from interface org.jCharts.chartData.interfaces.IAxisPlotDataSet

`getNumberOfDataSets, validate`

### Methods inherited from interface org.jCharts.chartData.interfaces.IDataSet

`getChartTypeProperties, getLegendLabel, getNumberOfDataItems, getNumberOfLegendLabels, getPaint`

### Method Detail

#### getChartType

    ChartType getChartType()

Returns the type of chart this data is to be plotted on

Specified by:
  `getChartType` in interface `IAxisPlotDataSet`
Returns:
  ChartType

#### getHighValue

    double getHighValue(int index)

Parameters:
  `index` -
Returns:
  double

#### getLowValue

    double getLowValue(int index)

Parameters:
  `index` -
Returns:
  double

#### getCloseValue

    double getCloseValue(int index)

Parameters:
  `index` -
Returns:
  double

#### hasCloseValues

    boolean hasCloseValues()

Parameters:
  `boolean` -

#### getOpenValue

    double getOpenValue(int index)

Parameters:
  `index` -
Returns:
  double

#### hasOpenValues

    boolean hasOpenValues()

Parameters:
  `boolean` -